Skip to content
Documentation
Explore guides

For administrators

Assignment categories

List and show assignment categories in the company.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all assignment categories

GET /api/v3/assignment_categories

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "name": "Follow-up"
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "name": "Follow-up 2"
  }
]

Show an assignment category

GET /api/v3/assignment_categories/{assignment_category_id}

Parameter Type Description
assignment_category_id string (UUID) Assignment category id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Follow-up"
}